<?php

$path_to_root = "";
include $path_to_root . '../database.php';

$db = new database();

?>

<div class="layout-validasi-pembayaran">
	<div class="title">Validasi Pembayaran</div>
	<div class="layout-list-data-pembayaran">
		<?php

		$sql = "SELECT * FROM `order` WHERE status='menunggu verifikasi pembayaran'";

		$result = $db->db_query($sql);
		$num_rows = $db->db_num_rows($result);

		if ($num_rows > 0) {
			while ($rows = $db->db_fetch_array($result)) {
				list_data_pembayaran($rows['id'], $rows['tanggal_pesanan'], $rows['tanggal_pengambilan'], $rows['tanggal_pembayaran']);
			}
		} else {
			echo '<div class="pembayaran_kosong">Tidak ada pembayaran yang perlu divalidasi</div>';
		}

		?>
	</div>
</div>

<?php

function list_data_pembayaran($id, $tanggal_pesanan, $tanggal_pengambilan, $tanggal_pembayaran){
	echo '
		<div class="data-validasi-pembayaran">
			<div class="relative-pembayaran">
				<div>
					<div>ID Pesanan</div>
					<div>Tanggal Pesanan</div>
					<div>Tanggal Pengambilan Barang</div>
					<div>Tanggal Pembayaran</div>
				</div>
				<div>
					<div>&nbsp;&nbsp;:&nbsp;&nbsp;'.$id.'</div>
					<div>&nbsp;&nbsp;:&nbsp;&nbsp;'.$tanggal_pesanan.'</div>
					<div>&nbsp;&nbsp;:&nbsp;&nbsp;'.$tanggal_pengambilan.'</div>
					<div>&nbsp;&nbsp;:&nbsp;&nbsp;'.$tanggal_pembayaran.'</div>
				</div>
			</div>
			<div class="layout-tombol"><a href="index.php?menu=detail validasi pembayaran&id='.$id.'">Detail</a></div>
		</div>
	';
}

?>